class BaseExceptions(Exception): ...

class OperationErrors:
    class OperationError(BaseExceptions): ...
    class OperationTimeout(OperationError, TimeoutError): ...
    class UnknownOperation(OperationError, ValueError): ...
    class InvalidOperation(OperationError, ValueError): ...

    class ActionError(BaseExceptions): ...
    class ActionTimeout(ActionError, TimeoutError): ...
    class UnknownAction(ActionError, ValueError): ...
    class InvalidAction(ActionError, ValueError): ...

    class EventError(BaseExceptions): ...
    class EventTimeout(ActionError, TimeoutError): ...
    class UnknownEvent(EventError, ValueError): ...
    class InvalidEvent(EventError, ValueError): ...

    class ResponseError(Exception): ...
    class ResponseTimeout(ResponseError, TimeoutError): ...
    class UnknownResponse(ResponseError, ValueError): ...
    class InvalidResponse(ResponseError, ValueError): ...


class AMIException(BaseExceptions):
    class SrvrSide(OperationErrors): ...
    class ClntSide(OperationErrors): ...